#!/bin/sh

trace_prefix="/srv/logs/trace/trace_$(hostname --short)"
newest_trace="$(/bin/ls "${trace_prefix}.dat" /run/trace/trace.dat -atr 2> /dev/null | tail -n1)"
test -s "${newest_trace}" || exit 0
sz="$(stat -L -c '%s' "${newest_trace}")"

# If we have a lot of trace data, let the user do this manually.
if [ "${sz}" -gt $((64 * 1048576)) ]; then
	echo "Please run trace-cmd report -i ${newest_trace} > ${trace_prefix}.txt" > "${trace_prefix}.txt"
	exit 0
fi

exec trace-cmd report -i "${newest_trace}" > "${trace_prefix}.txt"
